package templates

import (
	"github.com/gobuffalo/packr"
	"github.com/sirupsen/logrus"
	"html/template"
)

var box = packr.NewBox("./../static")

func HomeTemplate() *template.Template {
	t := template.New("index.html")
	var err error
	t, err = t.Parse(box.String("index.html"))
	if err != nil {
		logrus.Fatal(err)
	}
	t, err = t.Parse(box.String("nav.html"))
	if err != nil {
		logrus.Fatal(err)
	}
	return t
}

func ListTemplate() *template.Template {
	t := template.New("list.html")
	var err error
	t, err = t.Parse(box.String("list.html"))
	if err != nil {
		logrus.Fatal(err)
	}
	t, err = t.Parse(box.String("nav.html"))
	if err != nil {
		logrus.Fatal(err)
	}
	return t
}

func MovieTemplate() *template.Template {
	t := template.New("movie.html")
	var err error
	t, err = t.Parse(box.String("movie.html"))
	if err != nil {
		logrus.Fatal(err)
	}
	t, err = t.Parse(box.String("nav.html"))
	if err != nil {
		logrus.Fatal(err)
	}
	return t
}

func WatchTemplate() *template.Template {
	t := template.New(box.String("watch.html"))
	var err error
	t, err = t.Parse(box.String("watch.html"))
	if err != nil {
		logrus.Fatal(err)
	}
	return t
}
